#include "AFieldFactory.h"
namespace NPC_core {
namespace Control {
AFieldFactory::AFieldFactory()
{

}

std::shared_ptr<Model::Field> AFieldFactory::createField(std::string name, std::shared_ptr<Model::Structure> parentStructure)
{
    auto f = std::make_shared<Model::Field>();
    f->setName(name);
    return f;
}

std::shared_ptr<Model::Field> AFieldFactory::createFieldFull(std::string name, std::map<std::string, std::string> syntaxes, std::shared_ptr<Model::Structure> parentStructure)
{
    auto f = std::make_shared<Model::Field>();
    f->setName(name);
    return f;
}
}}
