#ifndef AFIELDFACTORY_H
#define AFIELDFACTORY_H

#include "../model/Field.h"
#include <memory>

namespace NPC_core {
namespace Control {
class AFieldFactory
{
public:
    AFieldFactory();
    virtual ~AFieldFactory();

    virtual std::shared_ptr<Model::Field> createField(std::string name, std::shared_ptr<Model::Structure> parentStructure = nullptr);
    virtual std::shared_ptr<Model::Field> createFieldFull(std::string name, std::map<std::string, std::string> syntaxes, std::shared_ptr<Model::Structure> parentStructure = nullptr);
};
}}
#endif // AFIELDFACTORY_H
