#ifndef AFIELD_H
#define AFIELD_H

#include "Structure.h"
#include <memory>
#include <string>
#include <map>
#include "IField.h"

namespace NPC_core {
namespace Model {

class Structure;

class Field : public IField {
public:
    Field();
    virtual ~Field(){}

    std::string getName() const;
    void setName(const std::string &value);

    std::string getDescription() const;
    void setDescription(const std::string &value);
private:
    std::string name;
    std::string description;
};

// class Field : public IField
// {
// public:
//     Field();
//     virtual ~Field(){}
//
//     std::string getName() const;
//     void setName(const std::string &value);
//
//     std::map<std::string, std::string> getSyntaxes() const;
//     void setSyntaxes(const std::map<std::string, std::string> &value);
//
//     std::shared_ptr<Structure> getParentStructure() const;
//     void setParentStructure(const std::shared_ptr<Structure> &value);
//
// protected:
//     std::shared_ptr<Structure> parentStructure;
//     std::string name;
//     std::map<std::string, std::string> syntaxes; // example : regex; for validation
//     std::map<std::string, std::string> options;
//     bool nextLevel;
//
//     // IField interface
// public:
//     bool isNextLevel() { return this->nextLevel; }
// };
}}

#endif // AFIELD_H
