#ifndef IMODEL_H
#define IMODEL_H
#include "../Tree.h"
#include "Field.h"
#include "../RandomAccessBinary.h"
#include <list>
namespace NPC_core {
namespace Model {
class IModel
{
public:
    virtual Tree<Field> getStack() const = 0;
    virtual std::list<std::shared_ptr<Structure>> getStructures() const = 0;
    virtual std::string getBinaryInHex() const = 0;
};
}}

#endif // IMODEL_H
