#ifndef ISTRUCTURE_H
#define ISTRUCTURE_H
#include <memory>
#include <list>
#include "Field.h"
#include "../Tree.h"

namespace NPC_core {
namespace Model {

class Field;

class IStructure
{
public:
    virtual std::string getName() const = 0;

    virtual Tree<Field> getElements() const = 0;
};
}}
#endif // ISTRUCTURE_H
