#ifndef MODIFIER_H
#define MODIFIER_H

#include <vector>
#include <memory>

class Modifier
{
public:
    Modifier();
    virtual ~Modifier();

    virtual void modifySelf(std::shared_ptr<std::vector<uint8_t>> bytes) = 0;
    virtual void modifySelfFromFullData(std::shared_ptr<std::vector<uint8_t>> bytes, const std::shared_ptr<std::vector<uint8_t>> data) = 0;
};

#endif // MODIFIER_H
