#ifndef VALIDATEABLEVALUEFIELD_H
#define VALIDATEABLEVALUEFIELD_H
#include "ValueField.h"
#include "IValidateableValueField.h"
#include "../Validator.h"

namespace NPC_core {
    namespace Model {
        class ValidateableValueField : public IValidateableValueField, public ValueField {
            public:
                ValidateableValueField();
                virtual ~ValidateableValueField();
                bool validate();
                Validator& getValidator();

                void setValidator(Validator& value);
            private:
                Validator validator;

        };
    }
}

#endif
