#include "ValueField.h"

namespace NPC_core {
    namespace Model {

        ValueField::ValueField() : Field() {
        }

        ValueField::~ValueField() {}

        std::string ValueField::getValue() const {
            return this->value;
        }

        uint32_t ValueField::getBitsize() const {
            return this->bitsize;
        }

        void ValueField::setValue(std::string &value) {
            this->value = value;
        }

        void ValueField::setBitsize(uint32_t &value) {
            this->bitsize = value;
        }

    }
}
