#ifndef VALUEFIELD_H
#define VALUEFIELD_H
#include "IValueField.h"
#include "Field.h"

namespace NPC_core {
namespace Model {

class ValueField : public IValueField, public Field {
    public:
        ValueField();
        virtual ~ValueField();
        virtual std::string getValue() const;
        virtual uint32_t getBitsize() const;

        void setValue(std::string &value);
        void setBitsize(uint32_t &size);

    private:
        std::string value;
        uint32_t bitsize;
};
}}
#endif

