#include "editorelementdata.h"
#include <QString>

EditorElementData::EditorElementData()
{

}



EditorElementData::~EditorElementData()
{

}

QString EditorElementData::getTitle() const
{
    return title;
}

void EditorElementData::setTitle(const QString &value)
{
    title = value;
}

QString EditorElementData::getId() const
{
    return id;
}

void EditorElementData::setId(const QString &value)
{
    id = value;
}

QList<QString> EditorElementData::getSyntaxes() const
{
    return syntaxes;
}

void EditorElementData::setSyntaxes(const QList<QString> &value)
{
    syntaxes = value;
}

bool EditorElementData::isMultiLine() const
{
    return multiline;
}

void EditorElementData::setIsMultiLine(bool value)
{
    multiline = value;
}

ValueTypeShort EditorElementData::getType() const
{
    return type;
}

void EditorElementData::setType(const ValueTypeShort &value)
{
    type = value;
}

QString EditorElementData::getRegex() const
{
    return regex;
}

void EditorElementData::setRegex(const QString &value)
{
    regex = value;
}

QMap<QString, QString> EditorElementData::getHints() const
{
    return hints;
}

void EditorElementData::setHint(const QString &key, const QString &value)
{
    hints.insert(key, value);
}

ulong EditorElementData::getBytes() const
{
    return bytes;
}

void EditorElementData::setBytes(const ulong &value)
{
    bytes = value;
}

ulong EditorElementData::getBits() const
{
    return bits;
}

void EditorElementData::setBits(const ulong &value)
{
    bits = value;
}

bool EditorElementData::isData() const
{
    return data;
}

void EditorElementData::setData(bool value)
{
    data = value;
}

bool EditorElementData::isNextLayer() const
{
    return nextLayer;
}

void EditorElementData::setNextLayer(bool value)
{
    nextLayer = value;
}

bool EditorElementData::isOptional() const
{
    return optional;
}

void EditorElementData::setOptional(bool value)
{
    optional = value;
}

