#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <memory>
#include <QMainWindow>
#include <QList>
#include <QGridLayout>
#include <QDockWidget>
#include "editor/EditorView.h"


class MainWindow : public QMainWindow
{
	Q_OBJECT
private:
    NPC_editor::EditorView* editor;
    QDockWidget* dockWidget;
public slots:
    void doSomething();

public:
	MainWindow(QWidget *parent = 0);
	~MainWindow();
};

#endif // MAINWINDOW_H
