#include "Field.h"
#include <memory>

Field::Field(std::string name, uint32_t sizeInBit, uint16_t layer): name(name), sizeInBit(sizeInBit), layer(layer)
{
}

void Field::setValue(std::string &value, ValueType type)
{
    this->value = std::string(value);
    this->valueType = type;
}

std::list<uint8_t> Field::getBytes()
{
    std::list<uint8_t> result;
    switch(this->valueType) {
    case ValueType::text:
        for(uint8_t c : this->value)
            result.push_back(c);
        break;
    case ValueType::integer:
        break;
    case ValueType::hexBinary:

        break;
    default:
        //wtf?
        break;
    }


    return std::list<uint8_t>();
}
