# Network Packet Composer

Is a software to create network packets from scratch for testing purposes.

# Minimal functionality in first alpha version

Be able to:

- Show a row of fields where one field has
  - A name
  - A description
  - A size in bit (values greater are just cut off)
  - A value (input in hex)
- Convert this row of fields to a binary array through RAB (RandomAccessBinary)
- Show the created binary array in hex

# Second alpha version

Be able to:

- Use integer as value input, not hex
- Restrict field input with regular expressions
- Write the binary to file (through proper interfaces which may be replaced by sending through the network!)
- Highlight current field inside the shown binary in hex

# Third alpha version

- Allow also text as value input for data payload
  - Means also having a special marked field for payload data (checkbox?)
- Write and read field structure in YAML to disk

# Fourth alpha version

- Create multiple structures, meaning protocol stacks
- Write network send logic

# Fifth alpha version

- Optimize
- Think about next additional features
- Release beta

# First beta - TODO
