# Editor

```plantuml

set namespaceSeparator ::

class NPC_core::RandomAccessBinary

namespace NPC_editor {
  class EditorView {
  }
  class StructureField {
  }
  class HexView
  EditorView "1" *-- "*" StructureField : contains
  HexView ..> NPC_core::RandomAccessBinary : shows data of >
}

namespace NPC_core::control {
  class DataController
  class ModelController
  class FromScratchModelController
  ModelController <|-- FromScratchModelController
}

namespace NPC_core::model {
  class Model
  class Structure

  class Field
  class DataField

  class Repository

  Model "1" *-- "*" Structure
  DataField ..> Field : represents the data of >
  Repository "1" *-- "ALL" Structure
  Structure "1" *- "*" Field
}

NPC_core::control::DataController "1" *-up- "*" NPC_core::RandomAccessBinary

NPC_core::model::Field <.. NPC_editor::StructureField : shows <
NPC_core::control::DataController --> NPC_core::model::DataField : controls >


NPC_core::control::ModelController --> NPC_core::model::Model : controls >

NPC_editor::StructureField .> NPC_core::control::DataController : > manipulates data through



```
