#ifndef JSONSERIALIZABLE_H
#define JSONSERIALIZABLE_H
#include <string>

namespace NPC_core {

    class JSONSerializable {
        public:
            virtual std::string toJSON() const = 0;
            virtual void fromJSON(std::string &json) = 0;
    };
}

#endif
