#ifndef EDITORTREE_H
#define EDITORTREE_H
#include <memory>

#include "TreeNode.h"

template <class T>
class Tree
{
public:
    explicit Tree();
    virtual ~Tree();

    const std::shared_ptr<TreeNode<T>> getRoot() { return root; }
    const std::shared_ptr<TreeNode<T>> getFirst() {
        if(root->getChildren()->size() > 0) return root->getChildren()->at(0);
        return nullptr;
    }

    void nodeDataChanged(std::shared_ptr<TreeNode<T>> node);
    void treeChanged(std::shared_ptr<TreeNode<T>> node);

private:
    std::shared_ptr<TreeNode<T>> root;
};


template <class T>
Tree<T>::Tree()
{
    root = std::make_shared<TreeNode<T>>();

    //root->setDataChangedSignal([this](std::shared_ptr<TreeNode<T>> node){ this->nodeDataChanged(node); });
    //root->setTreeChangedSignal([this](std::shared_ptr<TreeNode<T>> node){ this->treeChanged(node); });
}

template <class T>
Tree<T>::~Tree()
{

}

template<class T>
void Tree<T>::nodeDataChanged(std::shared_ptr<TreeNode<T> > node)
{

}

template<class T>
void Tree<T>::treeChanged(std::shared_ptr<TreeNode<T> > node)
{

}


#endif // EDITORTREE_H
