#ifndef ASTRUCTURE_H
#define ASTRUCTURE_H

#include <memory>
#include <list>
#include "Field.h"
#include "../Tree.h"
#include "IStructure.h"

namespace NPC_core {
namespace Model {

class Field;

class Structure : public IStructure
{
public:
    Structure();
    virtual ~Structure() {}

    std::string getName() const;
    void setName(const std::string &value);


    Tree<Field> getElements() const;
    void setElements(const Tree<Field> &value);

private:
    Tree<Field> elements;
    std::string name;
};
}}

#endif // ASTRUCTURE_H
