#include "mainwindow.h"
#include <QPushButton>
#include <iostream>
#include "editor/EditorView.h"

void MainWindow::doSomething()
{
    std::cout<<"sending nullptr"<<std::endl;
    //this->editor->addElement(nullptr);
    std::cout<<"sent nullptr"<<std::endl;
}

MainWindow::MainWindow(QWidget *parent)
	: QMainWindow(parent)
{
    editor = new NPC_editor::EditorView(this);
    this->setCentralWidget(editor);
    dockWidget = new QDockWidget(this);
    this->addDockWidget(Qt::LeftDockWidgetArea, dockWidget);

	// dockwidget
    QVBoxLayout* dockLayout = new QVBoxLayout(dockWidget);
	dockWidget->setLayout(dockLayout);
    QPushButton* button = new QPushButton(dockWidget);
	button->setText("add");
	dockLayout->addWidget(button);
    this->connect(button, &QPushButton::pressed,this, &MainWindow::doSomething);


}

MainWindow::~MainWindow()
{

}
