#include <iostream>
#include <string>
#include "gtest/gtest.h"
#include "../src/core/model/Model.h"
#include "../src/core/model/Field.h"
#include "../src/core/model/Structure.h"

class ModelTest : public ::testing::Test {
protected:
    virtual void SetUp(){
        baseStructure.setName("BaseStructure");
        secondLvlStructure.setName("Second Level");

    }

    virtual void TearDown(){
    }

    NPC_core::Model::Structure baseStructure;
    NPC_core::Model::Structure secondLvlStructure;
    NPC_core::Model::Model m;
};

TEST_F(ModelTest, IsEmptyInitially) {
    EXPECT_EQ(0, m.getStructures().size());

}
